Network Developers Kit API 3.61.01.01

Data Structures | Typedefs | Functions
Telnet Service

The Telnet Server service provides a mechanism for exposing a stream IO connection to any remote telnet client console. More...

## Data Structures
struct | _ntparam_telnet
struct | _ci_service_telnet

## Typedefs
typedef struct _ntparam_telnet | NTPARAM_TELNET
typedef struct _ci_service_telnet | CI_SERVICE_TELNET

## Functions
void * | TelnetOpen (NTARGS *pNTA, NTPARAM_TELNET *pNTP)
| Create an instance of the Telnet Server. More...
void | TelnetClose (void *hTelnet)
| Destroy an instance of the Telnet Server. More...

## Detailed Description

The Telnet Server service provides a mechanism for exposing a stream IO connection to any remote telnet client console.

## Typedef Documentation

## § NTPARAM_TELNET

typedef struct _ntparam_telnet NTPARAM_TELNET

## § CI_SERVICE_TELNET

typedef struct _ci_service_telnet CI_SERVICE_TELNET

## Function Documentation

## § TelnetOpen()

void* TelnetOpen | ( | NTARGS * | pNTA,
|  | NTPARAM_TELNET * | pNTP
| ) |  |

Create an instance of the Telnet Server.

Parameters

  [in] | pNTA | Pointer to common arg structure used for all services
  [in] | pNTP | Pointer to Telnet parameter structure

Remarks
  When a Telnet session is established, a telnet child task is spawned that will call the supplied callback function. This callback function should return a local file descriptor of one end of a full duplex pipe. If the callback function returns -1, the connection is aborted.
  When either the terminal or telnet connection end of the pipe is broken, the other connection is closed and the session is ended.

Returns
  Success: handle to new Telnet Server instance
  Failure: NULL

See also
  TelnetClose()

## § TelnetClose()

void TelnetClose | ( | void * | hTelnet | ) |

Destroy an instance of the Telnet Server.

Parameters

  [in] | hTelnet | Handle to Telnet Server instance obtained from TelnetOpen()

Remarks
  When called the server is shut down and no further Telnet sessions can be established. Also, all spawned connections are immediately terminated.

See also
  TelnetOpen()

© Copyright 1995-2019, Texas Instruments Incorporated. All rights reserved.
Trademarks | Privacy policy | Terms of use | Terms of sale